## python-keystoneclient 5.0.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0
packaging>=20.4 # BSD

=== debian/changelog ===
python-keystoneclient (1:5.0.1-3) unstable; urgency=medium

  * Removed python3-mox3 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Dec 2022 18:26:24 +0100

python-keystoneclient (1:5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:19:48 +0200

python-keystoneclient (1:5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-packaging to (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 14:07:42 +0200

python-keystoneclient (1:4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:54:11 +0100

python-keystoneclient (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Feb 2022 22:29:10 +0100

python-keystoneclient (1:4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:38:48 +0200

python-keystoneclient (1:4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 12:14:56 +0200

python-keystoneclient (1:4.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:08:16 +0200

python-keystoneclient (1:4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Debhelper 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 16:01:03 +0100

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 bandit,
 memcached,
 python3-bandit,
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-keyring,
 python3-keystoneauth1,
 python3-lxml,
 python3-memcache,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-os-client-config,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-packaging,
 python3-pep8,
 python3-pysaml2,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-tempest <!nocheck>,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit <!nocheck>,
 tempest,
Standards-Version: 4.5.1
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-keystoneclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-keystoneclient

Package: python-keystoneclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack Keystone API - doc
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the documentation.

Package: python3-keystoneclient
Architecture: all
Depends:
 python3-debtcollector,
 python3-keyring,
 python3-keystoneauth1,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-packaging,
 python3-pbr,
 python3-requests,
 python3-six,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Keystone API - Python 3.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

include /usr/share/openstack-pkg-tools/pkgos.make

export RES_OPTIONS=attempts:0

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
	# 'keystoneclient\.tests\.(?!.*memcache_set_expired.*|.*test_encrypt_cache_data.*|.*test_sign_cache_data.*)'
endif

override_dh_clean:
	dh_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/^2012/0.0.0/" \
https://github.com/openstack/python-keystoneclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-keystoneclient 5.1.0

=== debian/changelog ===
python-keystoneclient (1:5.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047466).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 12:15:40 +0200

python-keystoneclient (1:5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:56:02 +0200

python-keystoneclient (1:5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 09:55:19 +0100

## python-keystoneclient 5.2.0

=== debian/changelog ===
python-keystoneclient (1:5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:24:23 +0200

python-keystoneclient (1:5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 12:17:02 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf .testrepository
+	rm -rf build .stestr *.egg-info doc/source/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-keystoneclient 5.4.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

debtcollector>=1.2.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
packaging>=20.4 # BSD

=== debian/changelog ===
python-keystoneclient (1:5.4.0-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal. 

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 14:16:12 +0000

python-keystoneclient (1:5.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 13:08:10 +0000

python-keystoneclient (1:5.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:39:09 -0400

python-keystoneclient (1:5.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:23:07 -0500

python-keystoneclient (1:5.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Sep 2022 08:49:24 -0400

python-keystoneclient (1:5.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:00:00 -0400

python-keystoneclient (1:4.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 14:02:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,57 +1,63 @@
 Source: python-keystoneclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx <!nodoc>,
+ python3-sphinx (>= 2.0.0) <!nodoc>,
 Build-Depends-Indep:
  bandit,
  memcached,
- python3-bandit,
- python3-coverage,
- python3-debtcollector,
- python3-fixtures,
+ python3-bandit (>= 1.1.0),
+ python3-coverage (>= 4.0),
+ python3-debtcollector (>= 1.2.0),
+ python3-fixtures (>= 3.0.0),
+ python3-flake8-docstrings (>= 0.2.1.post1),
  python3-hacking,
- python3-keyring,
- python3-keystoneauth1,
- python3-lxml,
- python3-memcache,
- python3-oauthlib,
- python3-openstackdocstheme <!nodoc>,
- python3-os-client-config,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-oslotest,
- python3-packaging,
+ python3-keyring (>= 5.5.1),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-lxml (>= 4.5.0),
+ python3-memcache (>= 1.56),
+ python3-mock (>= 2.0.0),
+ python3-mox3,
+ python3-oauthlib (>= 0.6.2),
+ python3-openstackdocstheme (>= 2.2.1) <!nodoc>,
+ python3-os-client-config (>= 1.28.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-packaging (>= 20.4),
  python3-pep8,
  python3-pysaml2,
- python3-requests,
- python3-requests-mock,
- python3-six,
- python3-stestr,
- python3-stevedore,
- python3-sphinxcontrib.apidoc <!nodoc>,
- python3-tempest <!nocheck>,
- python3-testresources <!nocheck>,
- python3-testscenarios <!nocheck>,
- python3-testtools <!nocheck>,
- subunit <!nocheck>,
- tempest,
-Standards-Version: 4.5.1
-Homepage: https://github.com/openstack/python-keystoneclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-keystoneclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-keystoneclient
+ python3-reno,
+ python3-requests (>= 2.14.2),
+ python3-requests-mock (>= 1.2.0),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit,
+ python3-tempest (>= 1:17.1.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ tempest (>= 1:17.1.0),
+Standards-Version: 4.6.1
+Homepage: https://opendev.org/openstack/python-keystoneclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-keystoneclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-keystoneclient-doc
 Build-Profiles: <!nodoc>
@@ -80,21 +86,22 @@
 Package: python3-keystoneclient
 Architecture: all
 Depends:
- python3-debtcollector,
- python3-keyring,
- python3-keystoneauth1,
+ python3-debtcollector (>= 1.2.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-lxml,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-packaging,
- python3-pbr,
- python3-requests,
- python3-six,
- python3-stevedore,
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-packaging (>= 20.4),
+ python3-pbr (>= 2.0.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ python3-keyring,
 Description: client library for the OpenStack Keystone API - Python 3.x
  This is the identity service used by OpenStack for authentication (authN)
  and high-level authorization (authZ). It currently supports token-based

## python-keystoneclient 5.5.0

=== debian/changelog ===
python-keystoneclient (1:5.5.0-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 09:21:39 +0100

python-keystoneclient (1:5.5.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090522).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:21:50 +0100

python-keystoneclient (1:5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:11:43 +0200

python-keystoneclient (1:5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:01:16 +0200

python-keystoneclient (1:5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:22:58 +0200

python-keystoneclient (1:5.4.0-1) experimental; urgency=medium

  * Uploading to unstable.
  * Removed python3-six from (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:24:23 +0200

## python-keystoneclient 5.6.0

=== debian/changelog ===
python-keystoneclient (1:5.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:59:49 +0100

python-keystoneclient (1:5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:23:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export RES_OPTIONS=attempts:0
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info doc/source/api
@@ -36,7 +36,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-keystoneclient-doc/usr/share/doc/python-keystoneclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
 
 override_dh_python3:

## python-keystoneclient 5.7.0

=== doc/requirements.txt ===
# These are needed for docs generation
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
reno>=3.1.0 # Apache-2.0
lxml>=3.4.1 # BSD
fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-keystoneclient (1:5.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:26:31 +0200

python-keystoneclient (1:5.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Aug 2025 19:34:07 +0200

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 bandit,
 memcached,
 python3-bandit,
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-keyring,
 python3-keystoneauth1,
 python3-lxml,
 python3-memcache,
 python3-oauthlib,
 python3-openstackdocstheme <!nodoc>,
 python3-os-client-config,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-packaging,
 python3-pysaml2,
 python3-requests,
 python3-requests-mock,
 python3-stestr,
 python3-stevedore,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-tempest <!nocheck>,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit <!nocheck>,
 tempest,
Standards-Version: 4.5.1
Homepage: https://github.com/openstack/python-keystoneclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-keystoneclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-keystoneclient

Package: python-keystoneclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for the OpenStack Keystone API - doc
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the documentation.

Package: python3-keystoneclient
Architecture: all
Depends:
 python3-debtcollector,
 python3-keyring,
 python3-keystoneauth1,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-packaging,
 python3-pbr,
 python3-requests,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for the OpenStack Keystone API - Python 3.x
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This is a client for the OpenStack Keystone API. There's a Python API
 (the "keystoneclient" module), and a command-line script ("keystone").
 .
 Installing this package gets you a shell command, that you can use to
 interact with Keystone's API. Note that the "keystone" command line is
 currently deprecated in favor of the "openstack" one available within
 the "python3-openstackclient" package.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-keystoneclient refs/tags/(\d[brc\d\.]+)

## python-keystoneclient 5.8.0

=== debian/changelog ===
python-keystoneclient (1:5.8.0-2) experimental; urgency=medium

  * Add export EVENTLET_TESTS=True.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 18:23:16 +0100

python-keystoneclient (1:5.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 18:14:08 +0100

python-keystoneclient (1:5.7.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047466).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 17:54:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,14 @@
 
 export RES_OPTIONS=attempts:0
 
+# This avoids test failures
+export EVENTLET_TESTS=True
+
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info doc/source/api
+	rm -rf build .stestr *.egg-info doc/source/api .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## python-keystoneclient 2012.1~e3

=== debian/control ===
Source: python-keystoneclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools, python-httplib2, python-argparse, python-prettytable
Standards-Version: 3.9.2
Homepage: https://github.com/4P/python-keystoneclient
Vcs-Git: git://git.debian.org/openstack/python-keystoneclient.git
Vcs-Browser: http://git.debian.org/?p=openstack/python-keystoneclient.git;a=summary

Package: python-keystoneclient
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: client library for the OpenStack Keystone API
 This is a client for the OpenStack Keystone API. Installing this package
 gets you a shell command, that you can use to interact with Keystone's API.

## python-keystoneclient 2012.1~e4

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
%:
	dh $@ --with python2

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/python_keystoneclient.egg-info

## python-keystoneclient 2012.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-keystoneclient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-keystoneclient.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-keystoneclient (2012.1-3+deb7u1) wheezy; urgency=low

  * CVE-2013-2013: OpenStack keystone password disclosure on command line

 -- Julien Cristau <julien.cristau@logilab.fr>  Thu, 11 Jul 2013 11:59:38 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	bash run_tests.sh -N || true
endif

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/watch ===
version=3
http://keystone.openstack.org/tarballs/ python-keystoneclient-(.*).tar.gz

## python-keystoneclient 2012.2~f1

=== debian/changelog ===
python-keystoneclient (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jul 2012 15:06:28 -0400
